ProxoolMessageLogger (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.jdbc.connections.internal
Interface ProxoolMessageLogger

All Superinterfaces:
  org.jboss.logging.BasicLogger, CoreMessageLogger

All Known Implementing Classes:
  ProxoolMessageLogger_$logger

    @MessageLogger(projectCode="HHH")
    public interface ProxoolMessageLogger

extends CoreMessageLogger

The jboss-logging `MessageLogger` for the hibernate-proxool module. It reserves message ids ranging from 30001 to 35000 inclusively.

New messages must be added after the last message defined to ensure message codes are unique.

Method Summary
`void` | `autoCommmitMode(boolean autocommit)`
`void` | `configuringProxoolProviderToUsePoolAlias(String proxoolAlias)`
`void` | `configuringProxoolProviderUsingExistingPool(String proxoolAlias)`
`void` | `configuringProxoolProviderUsingJaxpConfigurator(String jaxpFile)`
`void` | `configuringProxoolProviderUsingPropertiesFile(String proxoolAlias)`
`String` | `exceptionClosingProxoolPool()`
`String` | `unableToConfigureProxoolProviderToUseExistingInMemoryPool(String proxoolPoolAlias)`
`String` | `unableToConfigureProxoolProviderToUseJaxp(String proxoolPoolAlias)`
`String` | `unableToConfigureProxoolProviderToUsePropertiesFile(String proxoolPoolAlias)`
`String` | `unableToLoadJaxpConfiguratorFile(String jaxpFile)`
`String` | `unableToLoadPropertyConfiguratorFile(String propFile)`

Methods inherited from interface org.hibernate.internal.CoreMessageLogger
`addingOverrideFor, alreadySessionBound, autoCommitMode, autoFlushWillNotWork, batchContainedStatementsOnRelease, bytecodeProvider, c3p0ProviderClassNotFound, cachedFileNotFound, cacheProvider, callingJoinTransactionOnNonJtaEntityManager, cannotResolveNonNullableTransientDependencies, cleaningUpConnectionPool, closing, closingUnreleasedBatch, collectionsFetched, collectionsLoaded, collectionsRecreated, collectionsRemoved, collectionsUpdated, columns, compositeIdClassDoesNotOverrideEquals, compositeIdClassDoesNotOverrideHashCode, configurationResource, configuredSessionFactory, configuringFromFile, configuringFromResource, configuringFromUrl, configuringFromXmlDocument, connectionProperties, connectionsObtained, containerProvidingNullPersistenceUnitRootUrl, containsJoinFetchedCollection, couldNotBindJndiListener, creatingSubcontextInfo, definingFlushBeforeCompletionIgnoredInHem, deprecatedDerbyDialect, deprecatedForceDescriminatorAnnotation, deprecatedOracle9Dialect, deprecatedOracleDialect, deprecatedTransactionManagerStrategy, deprecatedUuidGenerator, disablingContextualLOBCreation, disablingContextualLOBCreationSinceConnectionNull, disablingContextualLOBCreationSinceCreateClobFailed, disablingContextualLOBCreationSinceOldJdbcVersion, disallowingInsertStatementComment, duplicateGeneratorName, duplicateGeneratorTable, duplicateImport, duplicateJoins, duplicateListener, duplicateMetadata, entitiesDeleted, entitiesFetched, entitiesInserted, entitiesLoaded, entitiesUpdated, entityAnnotationOnNonRoot, entityIdentifierValueBindingExists, entityManagerClosedBySomeoneElse, entityManagerFactoryAlreadyRegistered, entityMappedAsNonAbstract, exceptionHeaderFound, exceptionHeaderNotFound, exceptionInAfterTransactionCompletionInterceptor, exceptionInBeforeTransactionCompletionInterceptor, exceptionInSubResolver, expectedType, expired, factoryBoundToJndiName, factoryJndiRename, factoryUnboundFromJndiName, factoryUnboundFromName, failed, failSafeCollectionsCleanup, failSafeEntitiesCleanup, fetchingDatabaseMetadata, filterAnnotationOnSubclass, firstOrMaxResultsSpecifiedWithCollectionFetch, flushes, forcingContainerResourceCleanup, forcingTableUse, foreignKeys, foundMappingDocument, gettersOfLazyClassesCannotBeFinal, guidGenerated, handlingTransientEntity, hibernateConnectionPoolSize, honoringOptimizerSetting, hql, hsqldbSupportsOnlyReadCommittedIsolation, hydratingEntitiesCount, ignoringTableGeneratorConstraints, ignoringUnrecognizedQueryHint, illegalPropertyGetterArgument, illegalPropertySetterArgument, immutableAnnotationOnNonRoot, incompleteMappingMetadataCacheProcessing, indexes, instantiatingExplicitConnectionProvider, invalidArrayElementType, invalidDiscriminatorAnnotation, invalidEditOfReadOnlyItem, invalidJndiName, invalidOnDeleteAnnotation, invalidPrimaryKeyJoinColumnAnnotation, invalidSubStrategy, invalidTableAnnotation, jaccContextId, JavaSqlTypesMappedSameCodeMultipleTimes, javassistEnhancementFailed, jdbcAutoCommitFalseBreaksEjb3Spec, jdbcDriverNotSpecified, jdbcIsolationLevel, jdbcRollbackFailed, jdbcUrlNotSpecified, jndiInitialContextProperties, jndiNameDoesNotHandleSessionFactoryReference, lazyPropertyFetchingAvailable, legacyTransactionManagerStrategy, loadingCollectionKeyNotFound, localLoadingCollectionKeysCount, loggingStatistics, logicalConnectionClosed, logicalConnectionReleasingPhysicalConnection, maxQueryTime, missingArguments, missingEntityAnnotation, namedQueryError, namingExceptionAccessingFactory, narrowingProxy, naturalIdCacheHits, naturalIdCacheMisses, naturalIdCachePuts, naturalIdMaxQueryTime, naturalIdQueriesExecuted, needsLimit, noAppropriateConnectionProvider, noColumnsSpecifiedForIndex, noDefaultConstructor, noPersistentClassesFound, noSessionFactoryWithJndiName, optimisticLockFailures, orderByAnnotationIndexedCollection, overridingTransactionStrategyDangerous, packageNotFound, parameterPositionOccurredAsBothJpaAndHibernatePositionalParameter, parsingXmlError, parsingXmlErrorForFile, parsingXmlWarning, parsingXmlWarningForFile, persistenceProviderCallerDoesNotImplementEjb3SpecCorrectly, pooledOptimizerReportedInitialValue, preparedStatementAlreadyInBatch, processEqualityExpression, processingPersistenceUnitInfoName, propertiesLoaded, propertiesNotFound, propertyNotFound, providerClassDeprecated, proxoolProviderClassNotFound, queriesExecuted, queryCacheHits, queryCacheMisses, queryCachePuts, rdmsOs2200Dialect, readingCachedMappings, readingMappingsFromFile, readingMappingsFromResource, readOnlyCacheConfiguredForMutableCollection, recognizedObsoleteHibernateNamespace, renamedProperty, requiredDifferentProvider, resolvedSqlTypeDescriptorForDifferentSqlCode, runningHbm2ddlSchemaExport, runningHbm2ddlSchemaUpdate, runningSchemaValidator, schemaExportComplete, schemaExportUnsuccessful, schemaUpdateComplete, scopingTypesToSessionFactoryAfterAlreadyScoped, searchingForMappingDocuments, secondLevelCacheHits, secondLevelCacheMisses, secondLevelCachePuts, serviceProperties, sessionsClosed, sessionsOpened, setManagerLookupClass, settersOfLazyClassesCannotBeFinal, sortAnnotationIndexedCollection, splitQueries, sqlExceptionEscapedProxy, sqlWarning, startingQueryCache, startingServiceAtJndiName, startingUpdateTimestampsCache, startTime, statementsClosed, statementsPrepared, stoppingService, subResolverException, successfulTransactions, synchronizationAlreadyRegistered, synchronizationFailed, tableFound, tableNotFound, timestampCacheHits, timestampCacheMisses, timestampCachePuts, transactions, transactionStartedOnNonRootSession, transactionStrategy, typeDefinedNoRegistrationKeys, typeRegistrationOverridesPrevious, unableToAccessEjb3Configuration, unableToAccessSessionFactory, unableToAccessTypeInfoResultSet, unableToApplyConstraints, unableToBindEjb3ConfigurationToJndi, unableToBindFactoryToJndi, unableToBindValueToParameter, unableToBuildEnhancementMetamodel, unableToBuildSessionFactoryUsingMBeanClasspath, unableToCleanUpCallableStatement, unableToCleanUpPreparedStatement, unableToCleanupTemporaryIdTable, unableToCloseConnection, unableToCloseInitialContext, unableToCloseInputFiles, unableToCloseInputStream, unableToCloseInputStreamForResource, unableToCloseIterator, unableToCloseJar, unableToCloseOutputFile, unableToCloseOutputStream, unableToClosePooledConnection, unableToCloseSession, unableToCloseSessionButSwallowingError, unableToCloseSessionDuringRollback, unableToCloseStream, unableToCloseStreamError, unableToCommitJta, unableToCompleteSchemaUpdate, unableToCompleteSchemaValidation, unableToConfigureSqlExceptionConverter, unableToConstructCurrentSessionContext, unableToConstructSqlExceptionConverter, unableToCopySystemProperties, unableToCreateProxyFactory, unableToCreateSchema, unableToDeserializeCache, unableToDestroyCache, unableToDestroyQueryCache, unableToDestroyUpdateTimestampsCache, unableToDetermineLockModeValue, unableToDetermineTransactionStatus, unableToDetermineTransactionStatusAfterCommit, unableToDropTemporaryIdTable, unableToExecuteBatch, unableToExecuteResolver, unableToFindPersistenceXmlInClasspath, unableToGetDatabaseMetadata, unableToInstantiateConfiguredSchemaNameResolver, unableToInstantiateOptimizer, unableToInstantiateUuidGenerationStrategy, unableToJoinTransaction, unableToLoadCommand, unableToLoadDerbyDriver, unableToLoadProperties, unableToLocateConfigFile, unableToLocateConfiguredSchemaNameResolver, unableToLocateCustomOptimizerClass, unableToLocateMBeanServer, unableToLocateUuidGenerationStrategy, unableToLogSqlWarnings, unableToLogWarnings, unableToMarkForRollbackOnPersistenceException, unableToMarkForRollbackOnTransientObjectException, unableToObjectConnectionMetadata, unableToObjectConnectionToQueryMetadata, unableToObtainConnectionMetadata, unableToObtainConnectionToQueryMetadata, unableToObtainInitialContext, unableToParseMetadata, unableToPerformJdbcCommit, unableToPerformManagedFlush, unableToQueryDatabaseMetadata, unableToReadClass, unableToReadColumnValueFromResultSet, unableToReadHiValue, unableToReadOrInitHiValue, unableToReleaseBatchStatement, unableToReleaseCacheLock, unableToReleaseContext, unableToReleaseCreatedMBeanServer, unableToReleaseIsolatedConnection, unableToReleaseTypeInfoResultSet, unableToRemoveBagJoinFetch, unableToResolveAggregateFunction, unableToResolveMappingFile, unableToRetrieveCache, unableToRetrieveTypeInfoResultSet, unableToRollbackConnection, unableToRollbackIsolatedTransaction, unableToRollbackJta, unableToRunSchemaUpdate, unableToSetTransactionToRollbackOnly, unableToStopHibernateService, unableToStopService, unableToSwitchToMethodUsingColumnIndex, unableToSynchronizeDatabaseStateWithSession, unableToToggleAutoCommit, unableToTransformClass, unableToUnbindFactoryFromJndi, unableToUpdateHiValue, unableToUpdateQueryHiValue, unableToWrapResultSet, unableToWriteCachedFile, undeterminedH2Version, unexpectedLiteralTokenType, unexpectedRowCounts, unknownBytecodeProvider, unknownIngresVersion, unknownOracleVersion, unknownSqlServerVersion, unregisteredResultSetWithoutStatement, unregisteredStatement, unsuccessful, unsuccessfulCreate, unsupportedAfterStatement, unsupportedIngresVersion, unsupportedInitialValue, unsupportedMultiTableBulkHqlJpaql, unsupportedOracleVersion, unsupportedProperty, updatingSchema, usingAstQueryTranslatorFactory, usingDefaultIdGeneratorSegmentValue, usingDefaultTransactionStrategy, usingDialect, usingDriver, usingHibernateBuiltInConnectionPool, usingOldDtd, usingReflectionOptimizer, usingStreams, usingTimestampWorkaround, usingUuidHexGenerator, validatorNotFound, version, warningsCreatingTempTable, willNotRegisterListeners, writeLocksNotSupported, writingGeneratedSchemaToFile`

Methods inherited from interface org.jboss.logging.BasicLogger
`debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

Method Detail

### autoCommmitMode

    @LogMessage(level=INFO)
    @Message(value="Autocommit mode: %s",
             id=30001)
    void autoCommmitMode(boolean autocommit)

### configuringProxoolProviderToUsePoolAlias

    @LogMessage(level=INFO)
    @Message(value="Configuring Proxool Provider to use pool alias: %s",
             id=30002)
    void configuringProxoolProviderToUsePoolAlias(String proxoolAlias)

### configuringProxoolProviderUsingExistingPool

    @LogMessage(level=INFO)
    @Message(value="Configuring Proxool Provider using existing pool in memory: %s",
             id=30003)
    void configuringProxoolProviderUsingExistingPool(String proxoolAlias)

### configuringProxoolProviderUsingJaxpConfigurator

    @LogMessage(level=INFO)
    @Message(value="Configuring Proxool Provider using JAXPConfigurator: %s",
             id=30004)
    void configuringProxoolProviderUsingJaxpConfigurator(String jaxpFile)

### configuringProxoolProviderUsingPropertiesFile

    @LogMessage(level=INFO)
    @Message(value="Configuring Proxool Provider using Properties File: %s",
             id=30005)
    void configuringProxoolProviderUsingPropertiesFile(String proxoolAlias)

### exceptionClosingProxoolPool

    @Message(value="Exception occured when closing the Proxool pool",
             id=30006)
    String exceptionClosingProxoolPool()

### unableToConfigureProxoolProviderToUseExistingInMemoryPool

    @Message(value="Cannot configure Proxool Provider to use an existing in memory pool without the %s property set.",
             id=30007)
    String unableToConfigureProxoolProviderToUseExistingInMemoryPool(String proxoolPoolAlias)

### unableToConfigureProxoolProviderToUseJaxp

    @Message(value="Cannot configure Proxool Provider to use JAXP without the %s property set.",
             id=30008)
    String unableToConfigureProxoolProviderToUseJaxp(String proxoolPoolAlias)

### unableToConfigureProxoolProviderToUsePropertiesFile

    @Message(value="Cannot configure Proxool Provider to use Properties File without the %s property set.",
             id=30009)
    String unableToConfigureProxoolProviderToUsePropertiesFile(String proxoolPoolAlias)

### unableToLoadJaxpConfiguratorFile

    @Message(value="Proxool Provider unable to load JAXP configurator file: %s",
             id=30010)
    String unableToLoadJaxpConfiguratorFile(String jaxpFile)

### unableToLoadPropertyConfiguratorFile

    @Message(value="Proxool Provider unable to load Property configurator file: %s",
             id=30011)
    String unableToLoadPropertyConfiguratorFile(String propFile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.